Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface CoordinateOperationAuthorityFactory

All Superinterfaces:
  AuthorityFactory, Factory

    @UML(identifier="CT_CoordinateTransformationAuthorityFactory",
         specification=OGC_01009)
    public interface CoordinateOperationAuthorityFactory

extends AuthorityFactory

Creates coordinate transformation objects from codes. The codes are maintained by an external authority. A commonly used authority is EPSG, which is also used in the GeoTIFF standard.

Since:
  GeoAPI 1.0
Version:
  Implementation specification 1.0

Method Summary
`CoordinateOperation` | `createCoordinateOperation(String code)` Creates an operation from a single operation code.
`Set<CoordinateOperation>` | `createFromCoordinateReferenceSystemCodes(String sourceCode, String targetCode)` Creates operations from coordinate reference system codes.

Methods inherited from interface AuthorityFactory
`createObject, getAuthority, getAuthorityCodes, getDescriptionText`

Methods inherited from interface Factory
`getVendor`

Method Detail

### createCoordinateOperation

    @UML(identifier="createFromTransformationCode",
         specification=OGC_01009)
    CoordinateOperation createCoordinateOperation(String code)
                                                  throws FactoryException

  Creates an operation from a single operation code. The "authority" and "code" values of the created object will be set to the authority of this object, and the code specified by the client, respectively. The other metadata values may or may not be set.

  Parameters:
    `code` - Coded value for transformation.
  Throws:
    `NoSuchAuthorityCodeException` - if the specified `code` was not found.
    `FactoryException` - if the object creation failed for some other reason.

### createFromCoordinateReferenceSystemCodes

    @UML(identifier="createFromCoordinateSystemCodes",
         specification=OGC_01009)
    Set<CoordinateOperation> createFromCoordinateReferenceSystemCodes(String sourceCode,
                                                                                                          String targetCode)
                                                                      throws FactoryException

  Creates operations from coordinate reference system codes. This method returns only the operations declared by the authority, with preferred operations first. This method doesn't need to compute operations from `source` to `target` CRS if no such operations were explicitly defined in the authority database. Computation of arbitrary operations can be performed by `CoordinateOperationFactory.createOperation(sourceCRS, targetCRS)` instead.

  Parameters:
    `sourceCode` - Coded value of source coordinate reference system.
    `targetCode` - Coded value of target coordinate reference system.
  Throws:
    `NoSuchAuthorityCodeException` - if a specified code was not found.
    `FactoryException` - if the object creation failed for some other reason.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.